Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions | Protected Attributes
Lucene::WaitQueue Class Reference

`#include <DocumentsWriter.h>`

Inheritance diagram for Lucene::WaitQueue:

## Public Member Functions

| WaitQueue (const DocumentsWriterPtr &docWriter)
virtual | ~WaitQueue ()
virtual String | getClassName ()
boost::shared_ptr< WaitQueue > | shared_from_this ()
void | reset ()
bool | doResume ()
bool | doPause ()
void | abort ()
bool | add (const DocWriterPtr &doc)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

Collection< DocWriterPtr > | waiting
int32_t | nextWriteDocID
int32_t | nextWriteLoc
int32_t | numWaiting
int64_t | waitingBytes

## Protected Member Functions

void | writeDocument (const DocWriterPtr &doc)
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

DocumentsWriterWeakPtr | _docWriter
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ WaitQueue()

Lucene::WaitQueue::WaitQueue | ( | const DocumentsWriterPtr & | docWriter | ) |

## ◆ ~WaitQueue()

virtual Lucene::WaitQueue::~WaitQueue | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::WaitQueue::_getClassName | ( |  | ) |

inline static

## ◆ abort()

void Lucene::WaitQueue::abort | ( |  | ) |

## ◆ add()

bool Lucene::WaitQueue::add | ( | const DocWriterPtr & | doc | ) |

## ◆ doPause()

bool Lucene::WaitQueue::doPause | ( |  | ) |

## ◆ doResume()

bool Lucene::WaitQueue::doResume | ( |  | ) |

## ◆ getClassName()

virtual String Lucene::WaitQueue::getClassName | ( |  | ) |

inline virtual

## ◆ reset()

void Lucene::WaitQueue::reset | ( |  | ) |

## ◆ shared_from_this()

boost::shared_ptr< WaitQueue > Lucene::WaitQueue::shared_from_this | ( |  | ) |

inline

## ◆ writeDocument()

void Lucene::WaitQueue::writeDocument | ( | const DocWriterPtr & | doc | ) |

protected

## Field Documentation

## ◆ _docWriter

DocumentsWriterWeakPtr Lucene::WaitQueue::_docWriter

protected

## ◆ nextWriteDocID

int32_t Lucene::WaitQueue::nextWriteDocID

## ◆ nextWriteLoc

int32_t Lucene::WaitQueue::nextWriteLoc

## ◆ numWaiting

int32_t Lucene::WaitQueue::numWaiting

## ◆ waiting

Collection<DocWriterPtr> Lucene::WaitQueue::waiting

## ◆ waitingBytes

int64_t Lucene::WaitQueue::waitingBytes

The documentation for this class was generated from the following file:

- DocumentsWriter.h

clucene.sourceforge.net